Skip to main content
GET
/
stores
/
{storeId}
/
webhooks
/
{webhookId}
Get a webhook
curl --request GET \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "id": "<string>",
    "url": "<string>",
    "note": "<string>",
    "isEnabled": true,
    "eventTypes": [
      "PAYMENT_PENDING"
    ],
    "secret": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48
webhookId
string
required

Webhook ID (whk_ prefix)

Required string length: 12 - 48

Response

Webhook details

ok
boolean
required
data
object
required